Dallas Semiconductor 1-Wire API 1.00 Alpha: Class OWPathElement

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.utils
Class OWPathElement

    java.lang.Object
      |
      +--com.dalsemi.onewire.utils.OWPathElement

public class OWPathElement
extends Object

1-Wire® Network path element. Instances of this class are used to represent a single branch of a complex 1-Wire network.

### Usage

  #### Example

  Enumerate through the 1-wire path elements in the 1-Wire path 'path' and print information:

         OWPathElement path_element;

         // enumerature through the path elements
         for (Enumeration path_enum = path.getAllOWPathElements();
                 path_enum.hasMoreElements(); )
         {

            // cast the enum as a OWPathElement
            path_element = (OWPathElement)path_enum.nextElement();

            // print info
            System.out.println("Address: " + path_element.getContainer().getAddressAsString());
            System.out.println("Channel number: " + path_element.getChannel());
         }

Version:
  0.00, 18 September 2000
See Also:
  `OWPath`, `OneWireContainer`

Constructor Summary
`OWPathElement(OneWireContainer owcInstance, int channelNumber)` Create a new 1-Wire path element.

Method Summary
`int` | `getChannel()` Get the channel number of this 1-Wire path element.
`OneWireContainer` | `getContainer()` Get the 1-Wire container for this 1-Wire path element.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWPathElement

    public OWPathElement(OneWireContainer owcInstance,
                         int channelNumber)

  Create a new 1-Wire path element.
  Parameters:
    `owcInstance` - device that is the path element. Must implement SwitchContainer.
    `channelNumber` - channel number of the 1-Wire path

Method Detail

### getContainer

    public OneWireContainer getContainer()

  Get the 1-Wire container for this 1-Wire path element.
  Returns:
    OneWireContainer of this 1-Wire path element
  See Also:
    `OneWireContainer`

### getChannel

    public int getChannel()

  Get the channel number of this 1-Wire path element.
  Returns:
    channel number of this element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD